<script>
  // Dependencies
  import { area } from "d3-shape";
  import { extent } from "d3-array";
  import {  scaleLinear, scaleTime } from "d3-scale";

  // Properties
  export let data = [];
  export let scaling = 'Line';
  export let type;

  function datafortype(mydata,mytype) {
    return mydata.filter(d => d.buildingtype == mytype)
  }
  let data_select = datafortype(data,type);
  $: data_select = datafortype(data,type);

  // Dimensions
  const [height, width] = [400, 600];
  const margin = { top: 50, right: 5, bottom: 55, left: 50 };
  const innerWidth = width - margin.left - margin.right;
  const innerHeight = height - margin.top - margin.bottom;

  // Scales
  const yScale_all = scaleLinear().
  domain(extent(data.map(d => d.total_heating_energy))).
  range([0.5, 12]);
  $: yScale_all;

  const yScale_per = scaleLinear().
  domain(extent(data_select.map(d => d.total_heating_energy))).
  range([0.5, 12]);
  $: yScale_all;

  const xScale = scaleTime()
  .domain(extent(data.map(d => new Date(2021,12,d.day,d.hour))))
  .range([0,400]);
  

  //draw area
  const drawArea_all = area()
  .x(d => xScale(new Date(2021,12,d.day,d.hour)))
  .y0(d => -yScale_all(d.total_heating_energy))
  .y1(d => yScale_all(d.total_heating_energy));
  $: drawArea_all;

  const drawArea_per = area()
  .x(d => xScale(new Date(2021,12,d.day,d.hour)))
  .y0(d => -yScale_per(d.total_heating_energy))
  .y1(d => yScale_per(d.total_heating_energy));
  $: drawArea_per;
</script>

<g height='250'>
  <g transform="translate(0,0)">
    {#if scaling == 'Line'}
    <path d={drawArea_per(data_select)} fill="Green"></path>
    {:else}
    <path d={drawArea_all(data_select)} fill="Blue"></path>
    {/if}
    
  </g>
  <g transform="translate(410,0)" dominant-baseline='central' style="font: 24px chiller;">
    <text>{type}</text>
  </g>
</g>
